Skip to main content
`Ctrl`+`K`

# PCHPDDMCoarseCorrectionType

Type of coarse correction used by `PCType` `PCHPDDM`

## Synopsis

    typedef enum {
      PC_HPDDM_COARSE_CORRECTION_DEFLATED,
      PC_HPDDM_COARSE_CORRECTION_ADDITIVE,
      PC_HPDDM_COARSE_CORRECTION_BALANCED,
      PC_HPDDM_COARSE_CORRECTION_NONE
    } PCHPDDMCoarseCorrectionType;

## Values

- `PC_HPDDM_COARSE_CORRECTION_DEFLATED` (default) - eq. (1) in `PCHPDDMShellApply()`

- `PC_HPDDM_COARSE_CORRECTION_ADDITIVE` - eq. (2)

- `PC_HPDDM_COARSE_CORRECTION_BALANCED` - eq. (3)

- `PC_HPDDM_COARSE_CORRECTION_NONE` - no coarse correction (mostly useful for debugging)

## See Also

Preconditioners, `PCHPDDM`, `PC`, `PCSetType()`, `PCHPDDMShellApply()`

## Level

intermediate

## Location

include/petscpctypes.h

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages